package com.peetz.comics.service;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.comics.entity.ArtistEntity;
import com.peetz.comics.entity.ComicEntity;
import com.peetz.comics.entity.IssueEntity;
import com.peetz.comics.entity.PublisherEntity;
import com.peetz.comics.entity.StoryArcEntity;

@Local
public interface ComicService {
	public Collection<ComicEntity> getAllComics();
	
	public Collection<PublisherEntity> getAllPublisher();

	public Collection<ArtistEntity> getAllArtists();

	public Collection<IssueEntity> getAllIssuesForComic(ComicEntity comic);

	public Collection<StoryArcEntity> getAllStoryArcs();

	public void addStoryArc(String title);

	public void addPublisher(String name);

	public ComicEntity addComic(String title);

	public PublisherEntity getPublisherById(String nodeValue);

	public void assignPublisher(ComicEntity comic, PublisherEntity publisher);
}
